Arch Add/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "==Script==")
(Created page with "L'outil {{KEY|16px|Ajouter|link=Arch_Add/fr Ajouter}} peut être utilisé dans une macro, ou dans la console '''Python''' ...")
Line 20: Line 20:
==Script==
==Script==


L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
The Add tool can by used in [[macros]] and from the python console by using the following function:
'''addComponents (objectsList,hostObject)''':
'''addComponents (objectsList,hostObject)''':
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.

Revision as of 00:19, 29 November 2013

Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove

Description

L'outil Ajouter vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur ou une structure .

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Ajouter Ajouter

Script

L'outil Ajouter Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)